lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Steven A Rowe <sar...@syr.edu>
Subject RE: Branch 3.x build failure w/1.5: solr/contrib/clustering/ [was: [JENKINS-MAVEN] Lucene-Solr-Maven-3.x #128: POMs out of sync]
Date Fri, 20 May 2011 18:33:46 GMT
Hi Staszek,

On 5/20/2011 at 9:51 AM, Stanislaw Osinski wrote:
> My fault, please go ahead and add it back (a newer version is
> required though):
>
> <dependency>
> 	<groupId>org.simpleframework</groupId>
> 	<artifactId>simple-xml</artifactId>
> 	<version>2.4.1</version>
> </dependency>

The jar checked into SVN, both on trunk and on branch_3x, is solr/contrib/clustering/lib/simple-xml-2.3.5.jar,
which means that the Ant build is using this older version on both branches - shouldn't this
also be upgraded to 2.4.1?

> I'm assuming trunk does not suffer from this issue?

Right, the official v3.5.0 carrot2-core POM includes the simple-xml dependency, while the
Solr version (at solr/contrib/clustering/lib/solr-carrot2-core-pom.xml.template) does not
(or did not, until you added it a few minutes ago).

> One more thing: SimpleXML is required during compilation
> (annotations), but it's not needed when running clustering
> within Solr. So I think a dependency with the "compile"
> scope should do too.

I think "provided" scope is the one we want here, since we want to exclude it as a transitive
dependency (just like the servlet-api jar):

<http://maven.apache.org/guides/introduction/introduction-to-dependency-mechanism.html#Dependency_Scope>

Steve

Mime
View raw message